import React from "react";
import { useParams, useNavigate } from "react-router-dom";

const UserDetails = ({ users, setUsers }) => {
  const { id } = useParams();
  const navigate = useNavigate();

  const userId = parseInt(id, 10); // Ensure id is a number
  const user = users.find((user) => user.id === userId);

  const handleDelete = () => {
    console.log("Users before deletion:", users);
    console.log("ID to delete:", userId);

    const updatedUsers = users.filter((user) => user.id !== userId);
    console.log("Users after deletion:", updatedUsers);

    setUsers([...updatedUsers]); // Create a new reference
    alert(`User with ID ${id} deleted.`);
    navigate("/"); // Redirect to home
  };

  if (!user) {
    return (
      <div>
        <p>User not found.</p>
        <button onClick={() => navigate("/")}>Return to Home</button>
      </div>
    );
  }

  return (
    <div className="container">
      <h1>User Details</h1>
      <div className="user-detail">
        <p>
          <strong>Name:</strong> {user.name}
        </p>
        <p>
          <strong>Email:</strong> {user.email}
        </p>
        <p>
          <strong>Phone:</strong> {user.phone}
        </p>
        <p>
          <strong>Website:</strong> {user.website}
        </p>
      </div>
      <div className="button-container">
        <button className="home-button" onClick={() => navigate("/")}>
          Return to Home
        </button>
        <button className="delete-button" onClick={handleDelete}>
          Delete User
        </button>
      </div>
    </div>
  );
};

export default UserDetails;
